<configuration>
    <!-- <property name="LOG_DIR" value="/data/data/com.example/files" /> -->

    <!-- Create a logcat appender -->
    <appender name="logcat" class="ch.qos.logback.classic.android.LogcatAppender">
        <encoder>
            <pattern>%msg</pattern>
        </encoder>
        <tagEncoder>
            <pattern>ObdService</pattern>
        </tagEncoder>
    </appender>
    <appender name="obd_raw_rolling_file" class="ch.qos.logback.core.rolling.ObdLogsRollingFileAppender">
        <file>/sdcard/.logs/obdRaw.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.FixedWindowRollingPolicy">
            <fileNamePattern>/sdcard/.logs/obdRaw%i.log</fileNamePattern>
            <minIndex>1</minIndex>
            <maxIndex>10</maxIndex>
        </rollingPolicy>
        <triggeringPolicy class="ch.qos.logback.core.rolling.SizeBasedTriggeringPolicy">
            <maxFileSize>500KB</maxFileSize>
        </triggeringPolicy>
        <encoder>
            <pattern>%date{MM-dd HH:mm:ss.SSS},%msg%n</pattern>
        </encoder>
    </appender>
    <appender name="can_bus_raw_rolling_file" class="ch.qos.logback.core.rolling.ObdLogsRollingFileAppender">
        <file>/sdcard/.canBusLogs/ObdCanBus.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.FixedWindowRollingPolicy">
            <fileNamePattern>/sdcard/.canBusLogs/ObdCanBus%i.log</fileNamePattern>
            <minIndex>1</minIndex>
            <maxIndex>5</maxIndex>
        </rollingPolicy>
        <triggeringPolicy class="ch.qos.logback.core.rolling.SizeBasedTriggeringPolicy">
            <maxFileSize>2MB</maxFileSize>
        </triggeringPolicy>
        <encoder>
            <pattern>NavdyData,%date{MM-dd HH:mm:ss.SSS},%msg%n%n</pattern>
        </encoder>
    </appender>

    <logger name="com.navdy.obd.simulator.Elm327" level="INFO"/>
    <logger name="com.navdy.obd.ObdJob" level="INFO"/>
    <!--  switch the following to debug to log individual obd commands -->
    <logger name="com.navdy.obd.command.ObdCommand" level="INFO"/>
    <logger name="com.navdy.obd.jobs.AutoConnect" level="INFO"/>
    <logger name="com.navdy.obd.command.ValidPidsCommand" level="DEBUG"/>
    <logger name="com.navdy.obd.io.ObdCommandInterpreter" level="INFO"/>
    <logger name="com.navdy.obd.command.GatherCANBusDataCommand" level="INFO"/>
    <logger name="com.navdy.obd.ObdRaw" level="DEBUG" additivity="false">
        <appender-ref ref="obd_raw_rolling_file"/>
    </logger>
    <logger name="com.navdy.obd.CanBusRaw" level="DEBUG" additivity="false">
        <appender-ref ref="can_bus_raw_rolling_file"/>
    </logger>

    <root level="DEBUG">
        <appender-ref ref="logcat"/>
    </root>
 </configuration>